Status: Invalid % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Operating system: N/A Relates to

performance:

No

Issue type: Bug Easy: No

Milestone:  Relates to

maintainability:

No

Regression: No Regression start:  

Relates to usability: No Fixed in:  

Description

Game Name?

Paper Mario The Thousand-Year Door

Game ID?

G8ME01

What's the problem? Describe what went wrong in few words.

It freezes on load shortly after the press start screen

What did you expect to happen instead?

Not to freeze

What steps will reproduce the problem?

1. Press start at the Health and Safety screen

2. Wait a bit

3. Game freeze

Dolphin 3.5 and 3.5-367 are old versions of Dolphin that have

known issues and bugs, so don't report issues about them and test the

latest Dolphin version first.

Which versions of Dolphin did you test on?

The latest revision on downloads page.

Does using an older version of Dolphin solve your issue? If yes, which

versions of Dolphin used to work?

The latest stable release on the downloads page

What are your PC specifications? (including, but not limited to: Operating

System, CPU and GPU)

Windows 8

Intel(R) Core(TM)i5-3210M CPU @2.50GHz 2.50 GHz

NVIDIA GeForce GT 630M

Is there any other relevant information? (e.g. logs, screenshots,

configuration files)

If it helps, I only checked in OpgenGL; Dolphin won't even start the game with Direct3D due to missing dll

History

#1 - 09/25/2014 05:58 AM - JMC4789

Could you narrow down the revision that broke it by bisecting to the build that caused it?
#2 - 09/25/2014 03:38 PM - shellashock

Running Paper Mario TTYD with 4.0-3334 works fine for me in both D3D11 and OpenGL. I am using a laptop with an Intel Core B940 processor with

an integrated Intel HD Graphics + Window 7 Home Professional. Granted OpenGL only runs the first time and white screens (still running btw) with

MSAA errors if I exit the game and launch again; but IIRC that is related to my crappy Intel HD Graphics integrated's driver and is not Dolphin's fault. 

Current version at the time of writing is 4.0 3382 and I am getting the exact same experience described above. In short, not getting a freeze with

either D3D11 or OpenGL directly after the press start screen. I am able to get in game with no problems. Maybe a Windows 8 issue?

#3 - 09/25/2014 05:05 PM - jesse_lun

It freezes even back from dolphin-master-4.0-3116-x64

I know it freezes since if you tried to get rid of it Dolphin stops responding and you're forced to use task manager to get rid of it.

I tried not pressing any buttons, and it eventually freezes as well.

#4 - 09/25/2014 06:02 PM - JMC4789

I'm unable to reproduce, and the build you bisected to doesn't make sense.  Please try again.

#5 - 09/26/2014 03:39 PM - shellashock

Jesse, do you get any kind of error messages when the game freezes? If you do not, can you check if you disabled panic handlers by going to config

and checking interface? If the box labeled "Use Panic Handlers" is not checked, check it and launch the game to see if that displays an error

message.

#6 - 09/26/2014 05:11 PM - jesse_lun

The box labeled "Use Panic Handlers" seems to be checked, but it just doesn't seem to show any error message at all. :o

Sorry about the lack of response, but it seems Dolphin freezes at me even as far as dolphin-master-4.0-1388-x86, so this might take a while. Also a

search on the forums indicated this also happened for some users:

https://forums.dolphin-emu.org/Thread-gc-paper-mario-the-thousand-year-door?page=15&highlight=paper+mario

last 2 posts here. I'm not sure if those users are active to ask, but I'm not the only one it seems.

#7 - 09/26/2014 05:33 PM - JMC4789

If you're having the same problem as them, then your laptop is using your onboard card and you're running into the Intel HD problem with the shader

cache.  Set your laptop's settings into prefer maximum performance in battery and graphics settings.

#8 - 09/26/2014 07:06 PM - shellashock

Not to derail the thread or anything, but my laptop only has the onboard Intel HD Graphics and will always have the issue with shader cache. No

preference to high performance will change that. The reason why I didn't want to report this was because it was written in the Dolphin article for

graphic card driver hall of shame as having issues with MSAA. But because my issue only seems to happen the SECOND to n'th time I launch a

game in OpenGL, I found it rather odd. But that should more be a discussion on the forums then here. If JMC's comment was aimed at Jesse, I

apologize for de-railing the thread.
#9 - 09/26/2014 07:09 PM - JMC4789

It was aimed at Jesse, but I understand your frustration.  The Shader Cache issue is the problem with that; the shader cache is generated on first run

and then fails to load/crashes for some reason.

#10 - 09/30/2014 10:03 PM - JMC4789

- Status changed from New to Invalid

This is caused by a bad ISO dump.
